curl --request POST \
--url https://services.leadconnectorhq.com/objects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"labels": {
"singular": "Pet",
"plural": "Pets"
},
"key": "custom_objects.pet",
"locationId": "ve9EPM428h8vShlRW1KT",
"primaryDisplayPropertyDetails": {
"key": "custom_objects.pet.name",
"name": "Pet name",
"dataType": "TEXT"
},
"description": "These are non vaccinated pets"
}
'{
"object": {
"id": "661c06b4ffde146bdb469442",
"standard": false,
"key": "custom_objects.pet",
"labels": {
"singular": "Pet",
"plural": "Pets"
},
"locationId": "Q9DT3OAqEXDLYuob1G32",
"primaryDisplayProperty": "custom_objects.pet.name",
"dateAdded": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"description": "These are non vaccinated pets",
"type": "The Object type can either USER_DEFINED or SYSTEM_DEFINED"
}
}Allows you to create a custom object schema. To understand objects and records, please have a look at the documentation here : https://doc.clickup.com/8631005/d/h/87cpx-277156/93bf0c2e23177b0
curl --request POST \
--url https://services.leadconnectorhq.com/objects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"labels": {
"singular": "Pet",
"plural": "Pets"
},
"key": "custom_objects.pet",
"locationId": "ve9EPM428h8vShlRW1KT",
"primaryDisplayPropertyDetails": {
"key": "custom_objects.pet.name",
"name": "Pet name",
"dataType": "TEXT"
},
"description": "These are non vaccinated pets"
}
'{
"object": {
"id": "661c06b4ffde146bdb469442",
"standard": false,
"key": "custom_objects.pet",
"labels": {
"singular": "Pet",
"plural": "Pets"
},
"locationId": "Q9DT3OAqEXDLYuob1G32",
"primaryDisplayProperty": "custom_objects.pet.name",
"dateAdded": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"description": "These are non vaccinated pets",
"type": "The Object type can either USER_DEFINED or SYSTEM_DEFINED"
}
}Use the Access Token generated with user type as Agency (OR) Private Integration Token of Agency.
API Version
2021-07-28 Show child attributes
{ "singular": "Pet", "plural": "Pets" }key that would be used to refer the Custom Object internally (lowercase + underscore_separated). 'custom_objects.' would be added as prefix by default
"custom_objects.pet"
Location Id
"ve9EPM428h8vShlRW1KT"
Show child attributes
Pet Object`s description
"These are non vaccinated pets"
Successful response
Show child attributes
Was this page helpful?